Package org.eclipse.viatra.transformation.evm.transactions.update

## Class TransactionUpdateCompleteProvider

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.update.UpdateCompleteProvider
  - - org.eclipse.viatra.transformation.evm.transactions.update.TransactionUpdateCompleteProvider

- All Implemented Interfaces:
    `IUpdateCompleteProvider`

      public class TransactionUpdateCompleteProvider
      extends UpdateCompleteProvider

  This provider implementation uses the EMF Transaction notification as an event source for update complete events.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransactionUpdateCompleteProvider​(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain)` | Creates a new provider for the given `TransactionalEditingDomain`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `firstListenerAdded()` |
    `protected void` | `lastListenerRemoved()` |
    `protected void` | `sendTransactionUpdateCompleted()` |

    - ### Methods inherited from class org.eclipse.viatra.transformation.evm.update.UpdateCompleteProvider

      `addUpdateCompleteListener, dispose, removeUpdateCompleteListener, updateCompleted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionUpdateCompleteProvider

          public TransactionUpdateCompleteProvider​(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain)

      Creates a new provider for the given `TransactionalEditingDomain`
      Parameters:
        `editingDomain` -

  - ### Method Detail

    - #### firstListenerAdded

          protected void firstListenerAdded()

      Overrides:
        `firstListenerAdded` in class `UpdateCompleteProvider`

    - #### lastListenerRemoved

          protected void lastListenerRemoved()

      Overrides:
        `lastListenerRemoved` in class `UpdateCompleteProvider`

    - #### sendTransactionUpdateCompleted

          protected void sendTransactionUpdateCompleted()